Skip to main content

Get Catalog Time Frame

GET 

/inventory/v1/catalog/time-frame/:time_frame_id

Get a specific Time Frame.

Request

Path Parameters

    time_frame_id Time Frame Idrequired

Header Parameters

    if-none-match any

    If you provide the ETag that matches the current ETag for this content, will return a 304 response - indicating that the content has not changed.

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    name

    object

    The name of the Time Frame.

    anyOf

    string

    active Active (boolean)

    Whether or not the Time Frame is active.

    episode Episode (integer)deprecated

    Default value: 0

    episode_type Episode Type (integer)deprecated

    Default value: 0

    hour_interval Hour Interval (integer)

    Default value: 0

    Number of hours that this time frame lasts until restarting.0 interval means no repeating.

    start date-timerequired

    The current start of the Time Frame.

    end date-timerequired

    The current end of the Time Frame.

    cache_info

    object

    Cache info for the Time Frame.

    anyOf

    Cache information for the resource it is attached to. The etag value can be used with the If-None-Match and If-Match headers

    etag Etag (string)required

    Possible values: non-empty

Loading...